be.vlaanderen.mercurius.vsb.common.care_provider.v1

## Class MessageMetadataType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb.common.care_provider.v1.MessageMetadataType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class MessageMetadataType
      extends Object
      implements Serializable

  Algemene identificatie van het bericht

  Java class for MessageMetadataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MessageMetadataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ssin" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}SsinType"/>
               <choice>
                 <element name="EnterpriseNumber" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}EnterpriseNumberType"/>
                 <element name="FlemishInstitution" type="{http://www.mercurius.vlaanderen.be/vsb/common/core/v3}HcoNumberType"/>
               </choice>
               <element name="CareProviderReference" type="{http://www.mercurius.vlaanderen.be/vsb/common/care-provider/v1}CareProviderReferenceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageMetadataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCareProviderReference()` Gets the value of the careProviderReference property.
    `String` | `getEnterpriseNumber()` Gets the value of the enterpriseNumber property.
    `String` | `getFlemishInstitution()` Gets the value of the flemishInstitution property.
    `String` | `getSsin()` Gets the value of the ssin property.
    `void` | `setCareProviderReference(String value)` Sets the value of the careProviderReference property.
    `void` | `setEnterpriseNumber(String value)` Sets the value of the enterpriseNumber property.
    `void` | `setFlemishInstitution(String value)` Sets the value of the flemishInstitution property.
    `void` | `setSsin(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageMetadataType

          public MessageMetadataType()

  - ### Method Detail

    - #### getSsin

          public String getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSsin

          public void setSsin(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlemishInstitution

          public String getFlemishInstitution()

      Gets the value of the flemishInstitution property.
      Returns:
        possible object is `String`

    - #### setFlemishInstitution

          public void setFlemishInstitution(String value)

      Sets the value of the flemishInstitution property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnterpriseNumber

          public String getEnterpriseNumber()

      Gets the value of the enterpriseNumber property.
      Returns:
        possible object is `String`

    - #### setEnterpriseNumber

          public void setEnterpriseNumber(String value)

      Sets the value of the enterpriseNumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCareProviderReference

          public String getCareProviderReference()

      Gets the value of the careProviderReference property.
      Returns:
        possible object is `String`

    - #### setCareProviderReference

          public void setCareProviderReference(String value)

      Sets the value of the careProviderReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.